List conversations
curl --request GET \
--url https://api.example.com/conversationsimport requests
url = "https://api.example.com/conversations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"type": "direct",
"title": "",
"created_at": 123,
"updated_at": 123,
"latest_message": {},
"mute_rule": 123,
"unread_message_count": 0,
"participants": [
{
"id": 1,
"first_name": "John",
"last_name": "Doe",
"name": "John Doe",
"title": "Manager",
"active": true,
"avatar": {},
"archived_at": 123,
"participant_type": "<string>",
"subtext": "Manager - HQ (Sales)",
"department": {
"id": 10,
"name": "Sales"
},
"unit": {
"id": 5,
"name": "HQ"
}
}
],
"publish": {
"created_at": 123,
"updated_at": 123
},
"archived_at": 123
}
]
}Conversations
List conversations
Returns a paginated list of conversations for the authenticated user. Can be filtered by status (normal, unread, archived), keyword (title or participant name), or exact participant set. Supports pagination via limit and page.
GET
/
conversations
List conversations
Query Parameters
Filter by conversation status
Available options:
normal, archived, unread Search in conversation title or participant names
Filter by exact set of participant user IDs (finds or excludes conversations with exactly these users)
Number of items per page (1–100)
Page number for pagination
Response
200 - application/json
Paginated list of conversations.
Show child attributes
Show child attributes
⌘I